Partner APIs: MCA
MCA Demo Funding Ingestion
Simulates an inbound funding event for MCA testing. Available in the UAT (sandbox) environment only — do not use for production transactions.
POST
/
gcc
/
v1
/
ffms
/
transaction
/
demo-funding
/
{transactingMid}
/
mca-ingestion
MCA Demo Funding Ingestion
curl --request POST \
--url https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion \
--header 'Content-Type: application/json' \
--header 'x-gl-auth: <api-key>' \
--data '
{
"currency": "USD",
"amount": "1",
"senderCountry": "US",
"senderName": "test"
}
'import requests
url = "https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion"
payload = {
"currency": "USD",
"amount": "1",
"senderCountry": "US",
"senderName": "test"
}
headers = {
"x-gl-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion")
.header("x-gl-auth", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"amount\": \"1\",\n \"senderCountry\": \"US\",\n \"senderName\": \"test\"\n}")
.asString();const url = 'https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion';
const options = {
method: 'POST',
headers: {'x-gl-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', amount: '1', senderCountry: 'US', senderName: 'test'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"gid": null,
"status": "200 OK",
"message": "demo funding transaction created",
"timestamp": "01/01/2026 00:00:00",
"reasonCode": "GL-201-001",
"data": {
"fundingTransaction": {
"transactionId": "00000000-0000-0000-0000-000000000000",
"status": "pending",
"rawResponse": {
"id": "0000123-0000-0000-0000-000000000123",
"state": "pending",
"amount": "10.00",
"currency": "CAD",
"action": "approve",
"account_id": "11111111-1111-1111-1111-111111111111",
"sender_name": "Jane Doe",
"sender_address": null,
"sender_country": "AE",
"sender_reference": null,
"sender_account_number": "0000000000012",
"sender_routing_code": null,
"receiver_account_number": "000000012",
"receiver_routing_code": null,
"short_reference": "IF-20260101-ABCDEF",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}
}
},
"errors": null
}When to Use
Use this endpoint to test MCA ingestion by simulating an inbound funding event for a giventransactingMid.
This endpoint is available in the UAT (sandbox) environment only. Do not use it for production traffic.
Authorizations
Static API Key generated from the PayGlocal Partner Dashboard.
Path Parameters
Identifier for the transacting entity.
Body
application/json
Response
200 - application/json
Demo funding transaction created.
MCA Demo Funding Ingestion
curl --request POST \
--url https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion \
--header 'Content-Type: application/json' \
--header 'x-gl-auth: <api-key>' \
--data '
{
"currency": "USD",
"amount": "1",
"senderCountry": "US",
"senderName": "test"
}
'import requests
url = "https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion"
payload = {
"currency": "USD",
"amount": "1",
"senderCountry": "US",
"senderName": "test"
}
headers = {
"x-gl-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion")
.header("x-gl-auth", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"USD\",\n \"amount\": \"1\",\n \"senderCountry\": \"US\",\n \"senderName\": \"test\"\n}")
.asString();const url = 'https://gcc.uat.payglocal.in/gcc/v1/ffms/transaction/demo-funding/{transactingMid}/mca-ingestion';
const options = {
method: 'POST',
headers: {'x-gl-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', amount: '1', senderCountry: 'US', senderName: 'test'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"gid": null,
"status": "200 OK",
"message": "demo funding transaction created",
"timestamp": "01/01/2026 00:00:00",
"reasonCode": "GL-201-001",
"data": {
"fundingTransaction": {
"transactionId": "00000000-0000-0000-0000-000000000000",
"status": "pending",
"rawResponse": {
"id": "0000123-0000-0000-0000-000000000123",
"state": "pending",
"amount": "10.00",
"currency": "CAD",
"action": "approve",
"account_id": "11111111-1111-1111-1111-111111111111",
"sender_name": "Jane Doe",
"sender_address": null,
"sender_country": "AE",
"sender_reference": null,
"sender_account_number": "0000000000012",
"sender_routing_code": null,
"receiver_account_number": "000000012",
"receiver_routing_code": null,
"short_reference": "IF-20260101-ABCDEF",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}
}
},
"errors": null
}
